Package org.apache.ignite.lifecycle

## Enum LifecycleEventType

- java.lang.Object
- - java.lang.Enum<LifecycleEventType>
  - - org.apache.ignite.lifecycle.LifecycleEventType

- All Implemented Interfaces:
    `Serializable`, `Comparable<LifecycleEventType>`

      public enum LifecycleEventType
      extends Enum<LifecycleEventType>

  Node lifecycle event types. These events are used to notify lifecycle beans about changes in node lifecycle state.

  For more information and detailed examples refer to `LifecycleBean` documentation.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `AFTER_NODE_START` | Invoked after node startup is complete.
    `AFTER_NODE_STOP` | Invoked after node had stopped.
    `BEFORE_NODE_START` | Invoked before node startup routine.
    `BEFORE_NODE_STOP` | Invoked before node stopping routine.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static @Nullable LifecycleEventType` | `fromOrdinal​(byte ord)` | Efficiently gets enumerated value from its ordinal.
    `static LifecycleEventType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static LifecycleEventType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BEFORE_NODE_START

          public static final LifecycleEventType BEFORE_NODE_START

      Invoked before node startup routine. Node is not initialized and cannot be used.

    - #### AFTER_NODE_START

          public static final LifecycleEventType AFTER_NODE_START

      Invoked after node startup is complete. Node is fully initialized and fully functional.

    - #### BEFORE_NODE_STOP

          public static final LifecycleEventType BEFORE_NODE_STOP

      Invoked before node stopping routine. Node is fully functional at this point.

    - #### AFTER_NODE_STOP

          public static final LifecycleEventType AFTER_NODE_STOP

      Invoked after node had stopped. Node is stopped and cannot be used.

  - ### Method Detail

    - #### values

          public static LifecycleEventType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LifecycleEventType c : LifecycleEventType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LifecycleEventType valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### fromOrdinal

          @Nullable
          public static @Nullable LifecycleEventType fromOrdinal​(byte ord)

      Efficiently gets enumerated value from its ordinal.
      Parameters:
        `ord` - Ordinal value.
      Returns:
        Enumerated value.